from django.conf.urls import url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from core import views

urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^login/$', views.user_login, name='login'),
    url(r'^logout/$', views.user_logout, name='logout'),
    url(r'^start/$', views.user_home, name='start'),

    url(r'^feedback/create/$', views.create_feedback, name='CreateFeedback'),
    url(r'^feedback/create/(?P<type_slug>\w+)/$', views.create_feedback, name='CreateFeedbackForType'),

    url(r'^feedback/edit/(?P<feedback_slug>\w+)/$', views.FeedbackEdit.as_view(), name='FeedbackEdit'),
    url(r'^feedback/delete/(?P<feedback_slug>\w+)/$', views.delete_feedback, name='FeedbackDelete'),

    url(r'^submission/list/$', views.get_submission_list, name='submission_list'),
    url(r'^submission/view/(?P<slug>\w+)/$', views.SubmissionView.as_view(), name='SubmissionView'),
    url(r'^submission/create-feedback-for/(?P<slug>\w+)/$', views.create_feedback_for_submission, name='create_feedback_for_submission'),
    url(r'^submission/download/(?P<slug>\w+)/$', views.download_submissions, name='download_submissions'),

    url(r'^csv/$', views.export_csv, name='export')
]

urlpatterns += staticfiles_urlpatterns()
